%global momorel 4

Name:           perl-Params-Validate
Version:        0.95
Release:        %{momorel}m%{?dist}
Summary:        Validate method/function parameters
License:        GPL+ or Artistic
Group:          Development/Libraries
Source0:	http://www.cpan.org/authors/id/D/DR/DROLSKY/Params-Validate-%{version}.tar.gz
NoSource:	0
URL:		http://www.cpan.org/modules/by-module/Params/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	perl >= 1:5.8.1

%description
The Params::Validate module allows you to validate method or function call
parameters to an arbitrary level of specificity. At the simplest level, it
is capable of validating the required parameters were given and that no
unspecified additional parameters were passed in.

%prep
%setup -q -n Params-Validate-%{version}

%build
%{__perl} Build.PL installdirs=vendor optimize="%{optflags}"
./Build

%install
rm -rf %{buildroot}

./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
./Build test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc benchmarks c Changes LICENSE README TODO
%{perl_vendorarch}/auto/Params/Validate/Validate.so
%{perl_vendorarch}/Attribute/Params/Validate.pm
%{perl_vendorarch}/Params/Validate*
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.95-4m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.95-3m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.95-2m)
- rebuild against perl-5.12.0

* Thu Feb 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.95-1m)
- update to 0.95

* Tue Jan 19 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.94-2m)
- change source download URL from by-module to authors
- www.cpan.org/modules/by-module was not updated

* Fri Dec 11 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.94-1m)
- update to 0.94
- Specfile re-generated by cpanspec 1.78 for Momonga Linux.

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.92-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Sun Sep 27 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.92-1m)
- update to 0.92

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.91-3m)
- rebuild against perl-5.10.1

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.91-2m)
- rebuild against rpm-4.6

* Sun May  4 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.91-1m)
- update to 0.91

* Fri May  2 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.90-1m)
- update to 0.90

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.89-2m)
- rebuild against gcc43

* Thu Nov  1 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.89-1m)
- update to 0.89

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.88-2m)
- use vendor

* Sun Apr  8 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.88-1m)
- update to 0.88

* Fri Jan 19 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.87-1m)
- update to 0.87

* Thu Sep 28 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.86-1m)
- spec file was autogenerated
